## python-openstacksdk 0.8.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.5.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
os-client-config>=1.13.1 # Apache-2.0
keystoneauth1>=2.1.0 # Apache-2.0
iso8601>=0.1.9 # MIT

=== debian/changelog ===
python-openstacksdk (0.8.1-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * 

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 May 2016 13:19:57 +0000

python-openstacksdk (0.8.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 11:31:25 +0000

python-openstacksdk (0.8.1-1) experimental; urgency=medium

  * New upstream release.
  * Bumped required python-iso8601 version in build-depends-indep.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 17:14:42 +0100

python-openstacksdk (0.8.0-1) experimental; urgency=medium

  [ Ivan Udovichenko ]
  * d/conrol: Update dependencies.
  * d/patches: Update patch remove-intersphinx.patch

  [ Corey Bryant ]
  * d/control: Update min version of python(3)-keystoneauth1 to ensure this
    bug is fixed: https://bugs.launchpad.net/keystoneauth/+bug/1502232
  * d/control: Add git to build-depends for sphinx-build
  * d/control: Add python-oslosphinx to build-depends.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Corey Bryant ]
  * New upstream release.
  * d/p/remove-openstackdocstheme.patch: Drop openstackdocstheme from sphinx
    documentation.
  * d/control: Drop python-openstackdocstheme from BDs.

  [ Thomas Goirand ]
  * Standards-Version: 3.9.7 (no change).
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 04:38:29 +0000

python-openstacksdk (0.7.1-2) experimental; urgency=medium

  [ Thomas Goirand ]
  * Removed intersphinx module.

  [ Corey Bryant ]
  * d/rules: Run py3 tests.
  * d/watch: Updated to get tarball from github.
  * d/control: Add python(3)-keystoneauth1 to BDs.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Dec 2015 09:19:48 -0500

python-openstacksdk (0.7.1-1) experimental; urgency=medium

  * Initial release. (Closes: #778645)

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Feb 2015 21:48:45 +0100

=== debian/control ===
Source: python-openstacksdk
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools
Build-Depends-Indep: git,
                     python-coverage (>= 3.6),
                     python-fixtures (>= 1.3.1),
                     python-hacking,
                     python-iso8601 (>= 0.1.11),
                     python-keystoneauth1 (>= 2.1.0),
                     python-mock (>= 1.3),
                     python-os-client-config (>= 1.13.1),
                     python-os-testr (>= 0.4.1),
                     python-oslo.utils (>= 3.4.0),
                     python-oslosphinx (>= 2.5.0),
                     python-requests (>= 2.5.2),
                     python-requests-mock (>= 0.6.0),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.5.0),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python3-fixtures (>= 0.3.14),
                     python3-hacking,
                     python3-iso8601 (>= 0.1.11),
                     python3-keystoneauth1 (>= 2.1.0),
                     python3-mock (>= 1.0),
                     python3-os-client-config (>= 1.13.1),
                     python3-os-testr (>= 0.4.1),
                     python3-oslo.utils (>= 3.4.0),
                     python3-requests (>= 2.5.2),
                     python3-requests-mock (>= 0.6.0),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.5.0),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0),
                     python3-subunit,
                     subunit,
                     testrepository
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-openstacksdk.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/python-openstacksdk.git
Homepage: https://github.com/stackforge/python-openstacksdk

Package: python-openstacksdk
Architecture: all
Depends: python-keystoneauth1 (>= 2.1.0),
         python-os-client-config (>= 1.13.1),
         python-oslo.utils (>= 3.4.0),
         python-pbr (>= 1.8),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.5.0),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-openstacksdk-doc
Description: SDK for building applications to work with OpenStack - Python 2.x
 The python-openstacksdk is a collection of libraries for building applications
 to work with OpenStack clouds. The project aims to provide a consistent and
 complete set of interactions with OpenStack's many services, along with
 complete documentation, examples, and tools.
 .
 This SDK is under active development, and in the interests of providing a
 high-quality interface, the APIs provided in this release may differ from
 those provided in future release.
 .
 This package contains the Python 2.x module.

Package: python3-openstacksdk
Architecture: all
Depends: python3-keystoneauth1 (>= 2.1.0),
         python3-os-client-config (>= 1.13.1),
         python3-oslo.utils (>= 3.4.0),
         python3-pbr (>= 1.8),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.5.0),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-openstacksdk-doc
Description: SDK for building applications to work with OpenStack - Python 3.x
 The python-openstacksdk is a collection of libraries for building applications
 to work with OpenStack clouds. The project aims to provide a consistent and
 complete set of interactions with OpenStack's many services, along with
 complete documentation, examples, and tools.
 .
 This SDK is under active development, and in the interests of providing a
 high-quality interface, the APIs provided in this release may differ from
 those provided in future release.
 .
 This package contains the Python 3.x module.

Package: python-openstacksdk-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: SDK for building applications to work with OpenStack - doc
 The python-openstacksdk is a collection of libraries for building applications
 to work with OpenStack clouds. The project aims to provide a consistent and
 complete set of interactions with OpenStack's many services, along with
 complete documentation, examples, and tools.
 .
 This SDK is under active development, and in the interests of providing a
 high-quality interface, the APIs provided in this release may differ from
 those provided in future release.
 .
 This package contains the documentation.

## python-openstacksdk 0.9.5

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.16.0 # Apache-2.0
os-client-config!=1.19.0,!=1.19.1,!=1.20.0,!=1.20.1,!=1.21.0,>=1.13.1 # Apache-2.0
keystoneauth1>=2.10.0 # Apache-2.0

=== debian/changelog ===
python-openstacksdk (0.9.5-3+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sun, 26 Feb 2017 21:59:46 +0000

python-openstacksdk (0.9.5-2) unstable; urgency=medium

  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:12:02 +0200

python-openstacksdk (0.9.5-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * Using pkgos-dh_auto_{test,install} from openstack-pkg-tools >= 52~.
  * Using OpenStack's Gerrit as VCS URLs.

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Sep 2016 12:10:18 -0400

python-openstacksdk (0.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Jul 2016 15:32:34 +0200

python-openstacksdk (0.8.6-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT with default value
  * d/copyright: Changed source URL to new one

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Jun 2016 09:17:58 +0000

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
@@ -15,51 +15,46 @@
                python3-setuptools
 Build-Depends-Indep: git,
                      python-coverage (>= 3.6),
-                     python-fixtures (>= 1.3.1),
+                     python-fixtures (>= 3.0.0),
                      python-hacking,
-                     python-iso8601 (>= 0.1.11),
-                     python-keystoneauth1 (>= 2.1.0),
-                     python-mock (>= 1.3),
+                     python-keystoneauth1 (>= 2.10.0),
+                     python-mock (>= 2.0),
                      python-os-client-config (>= 1.13.1),
-                     python-os-testr (>= 0.4.1),
-                     python-oslo.utils (>= 3.4.0),
+                     python-os-testr (>= 0.7.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-requests (>= 2.5.2),
-                     python-requests-mock (>= 0.6.0),
+                     python-requests (>= 2.10.0),
+                     python-requests-mock (>= 1.0),
                      python-six (>= 1.9.0),
-                     python-stevedore (>= 1.5.0),
+                     python-stevedore (>= 1.16.0),
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
-                     python3-fixtures (>= 0.3.14),
+                     python3-fixtures (>= 3.0.0),
                      python3-hacking,
-                     python3-iso8601 (>= 0.1.11),
-                     python3-keystoneauth1 (>= 2.1.0),
-                     python3-mock (>= 1.0),
+                     python3-keystoneauth1 (>= 2.10.0),
+                     python3-mock (>= 2.0),
                      python3-os-client-config (>= 1.13.1),
-                     python3-os-testr (>= 0.4.1),
-                     python3-oslo.utils (>= 3.4.0),
-                     python3-requests (>= 2.5.2),
-                     python3-requests-mock (>= 0.6.0),
+                     python3-os-testr (>= 0.7.0),
+                     python3-requests (>= 2.10.0),
+                     python3-requests-mock (>= 1.0),
                      python3-six (>= 1.9.0),
-                     python3-stevedore (>= 1.5.0),
+                     python3-stevedore (>= 1.16.0),
                      python3-testscenarios (>= 0.4),
                      python3-testtools (>= 1.4.0),
                      python3-subunit,
                      subunit,
                      testrepository
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-openstacksdk.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-openstacksdk.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-openstacksdk?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-openstacksdk -b debian/newton
 Homepage: https://github.com/stackforge/python-openstacksdk
 
 Package: python-openstacksdk
 Architecture: all
-Depends: python-keystoneauth1 (>= 2.1.0),
+Depends: python-keystoneauth1 (>= 2.10.0),
          python-os-client-config (>= 1.13.1),
-         python-oslo.utils (>= 3.4.0),
          python-pbr (>= 1.8),
          python-six (>= 1.9.0),
-         python-stevedore (>= 1.5.0),
+         python-stevedore (>= 1.16.0),
          ${misc:Depends},
          ${python:Depends}
 Suggests: python-openstacksdk-doc
@@ -77,12 +72,11 @@
 
 Package: python3-openstacksdk
 Architecture: all
-Depends: python3-keystoneauth1 (>= 2.1.0),
+Depends: python3-keystoneauth1 (>= 2.10.0),
          python3-os-client-config (>= 1.13.1),
-         python3-oslo.utils (>= 3.4.0),
          python3-pbr (>= 1.8),
          python3-six (>= 1.9.0),
-         python3-stevedore (>= 1.5.0),
+         python3-stevedore (>= 1.16.0),
          ${misc:Depends},
          ${python3:Depends}
 Suggests: python-openstacksdk-doc

## python-openstacksdk 0.9.10

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.8 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.17.1 # Apache-2.0
os-client-config>=1.22.0 # Apache-2.0
keystoneauth1>=2.14.0 # Apache-2.0

## python-openstacksdk 0.9.13

=== requirements.txt ===
--- 
+++ 
@@ -5,4 +5,4 @@
 six>=1.9.0 # MIT
 stevedore>=1.17.1 # Apache-2.0
 os-client-config>=1.22.0 # Apache-2.0
-keystoneauth1>=2.14.0 # Apache-2.0
+keystoneauth1>=2.18.0 # Apache-2.0

=== debian/changelog ===
python-openstacksdk (0.9.13-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 30 Jan 2017 20:17:47 +0000

python-openstacksdk (0.9.13-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * debian/control: Bump version dependencies. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jan 2017 13:42:07 -0500

python-openstacksdk (0.9.10-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * debian/control: Bump version dependencies. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 22 Nov 2016 09:49:46 -0500

python-openstacksdk (0.9.7-1ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream version. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 27 Oct 2016 11:43:18 -0400

python-openstacksdk (0.9.5-0ubuntu1) yakkety; urgency=medium

  [ Thomas Goirand ]
  * Using pkgos-dh_auto_{test,install} from openstack-pkg-tools >= 52~.

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Sep 2016 12:10:18 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: python-openstacksdk
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
@@ -14,47 +15,51 @@
                python3-pbr (>= 1.8),
                python3-setuptools
 Build-Depends-Indep: git,
-                     python-coverage (>= 3.6),
+                     python-coverage (>= 4.0),
                      python-fixtures (>= 3.0.0),
-                     python-hacking,
-                     python-keystoneauth1 (>= 2.10.0),
+                     python-hacking (>= 0.10.0),
+                     python-keystoneauth1 (>= 2.18.0),
                      python-mock (>= 2.0),
-                     python-os-client-config (>= 1.13.1),
-                     python-os-testr (>= 0.7.0),
-                     python-oslosphinx (>= 2.5.0),
+                     python-openstackdocstheme (>= 1.5.0),
+                     python-os-client-config (>= 1.22.0),
+                     python-os-testr (>= 0.8.0),
                      python-requests (>= 2.10.0),
-                     python-requests-mock (>= 1.0),
+                     python-requests-mock (>= 1.1),
                      python-six (>= 1.9.0),
-                     python-stevedore (>= 1.16.0),
+                     python-stevedore (>= 1.17.1),
+                     python-testrepository (>= 0.0.18),
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
+                     python3-coverage (>= 4.0),
                      python3-fixtures (>= 3.0.0),
-                     python3-hacking,
-                     python3-keystoneauth1 (>= 2.10.0),
+                     python3-hacking (>= 0.10.0),
+                     python3-keystoneauth1 (>= 2.18.0),
                      python3-mock (>= 2.0),
-                     python3-os-client-config (>= 1.13.1),
-                     python3-os-testr (>= 0.7.0),
+                     python3-openstackdocstheme (>= 1.5.0),
+                     python3-os-client-config (>= 1.22.0),
+                     python3-os-testr (>= 0.8.0),
                      python3-requests (>= 2.10.0),
-                     python3-requests-mock (>= 1.0),
+                     python3-requests-mock (>= 1.1),
                      python3-six (>= 1.9.0),
-                     python3-stevedore (>= 1.16.0),
+                     python3-stevedore (>= 1.17.1),
+                     python3-subunit,
+                     python3-testrepository (>= 0.0.18),
                      python3-testscenarios (>= 0.4),
                      python3-testtools (>= 1.4.0),
-                     python3-subunit,
                      subunit,
                      testrepository
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-openstacksdk?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-python-openstacksdk -b debian/newton
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-openstacksdk
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-openstacksdk
 Homepage: https://github.com/stackforge/python-openstacksdk
 
 Package: python-openstacksdk
 Architecture: all
-Depends: python-keystoneauth1 (>= 2.10.0),
-         python-os-client-config (>= 1.13.1),
+Depends: python-keystoneauth1 (>= 2.14.0),
+         python-os-client-config (>= 1.22.0),
          python-pbr (>= 1.8),
          python-six (>= 1.9.0),
-         python-stevedore (>= 1.16.0),
+         python-stevedore (>= 1.17.1),
          ${misc:Depends},
          ${python:Depends}
 Suggests: python-openstacksdk-doc
@@ -72,11 +77,11 @@
 
 Package: python3-openstacksdk
 Architecture: all
-Depends: python3-keystoneauth1 (>= 2.10.0),
-         python3-os-client-config (>= 1.13.1),
+Depends: python3-keystoneauth1 (>= 2.14.0),
+         python3-os-client-config (>= 1.22.0),
          python3-pbr (>= 1.8),
          python3-six (>= 1.9.0),
-         python3-stevedore (>= 1.16.0),
+         python3-stevedore (>= 1.17.1),
          ${misc:Depends},
          ${python3:Depends}
 Suggests: python-openstacksdk-doc

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make
%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-openstacksdk-doc/usr/share/doc/python-openstacksdk-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-openstacksdk 0.9.17

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
jsonpatch>=1.1 # BSD
six>=1.9.0 # MIT
stevedore>=1.20.0 # Apache-2.0
os-client-config>=1.27.0 # Apache-2.0
keystoneauth1>=2.21.0 # Apache-2.0
deprecation>=1.0 # Apache-2.0

=== debian/changelog ===
python-openstacksdk (0.9.17-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 02 Aug 2017 20:24:00 +0000

python-openstacksdk (0.9.17-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Rebased.
  * d/p/remove-enforcer.patch: Drop enforcer extension as it's not needed in
    distro and is hitting an import error for bs4.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 31 Jul 2017 15:38:14 -0400

=== debian/control ===
--- 
+++ 
@@ -8,40 +8,45 @@
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
                python-sphinx,
                python3-all,
-               python3-pbr (>= 1.8),
+               python3-pbr (>= 2.0.0),
                python3-setuptools
 Build-Depends-Indep: git,
+                     python-beautifulsoup,
                      python-coverage (>= 4.0),
+                     python-deprecation (>= 1.0),
                      python-fixtures (>= 3.0.0),
                      python-hacking (>= 0.10.0),
-                     python-keystoneauth1 (>= 2.18.0),
+                     python-jsonpatch (>= 1.1),
+                     python-keystoneauth1 (>= 2.21.0),
                      python-mock (>= 2.0),
                      python-openstackdocstheme (>= 1.5.0),
-                     python-os-client-config (>= 1.22.0),
+                     python-os-client-config (>= 1.27.0),
                      python-os-testr (>= 0.8.0),
                      python-requests (>= 2.10.0),
                      python-requests-mock (>= 1.1),
                      python-six (>= 1.9.0),
-                     python-stevedore (>= 1.17.1),
+                     python-stevedore (>= 1.20.0),
                      python-testrepository (>= 0.0.18),
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
                      python3-coverage (>= 4.0),
+                     python3-deprecation (>= 1.0),
                      python3-fixtures (>= 3.0.0),
                      python3-hacking (>= 0.10.0),
-                     python3-keystoneauth1 (>= 2.18.0),
+                     python3-jsonpatch (>= 1.1),
+                     python3-keystoneauth1 (>= 2.21.0),
                      python3-mock (>= 2.0),
                      python3-openstackdocstheme (>= 1.5.0),
-                     python3-os-client-config (>= 1.22.0),
+                     python3-os-client-config (>= 1.27.0),
                      python3-os-testr (>= 0.8.0),
                      python3-requests (>= 2.10.0),
                      python3-requests-mock (>= 1.1),
                      python3-six (>= 1.9.0),
-                     python3-stevedore (>= 1.17.1),
+                     python3-stevedore (>= 1.20.0),
                      python3-subunit,
                      python3-testrepository (>= 0.0.18),
                      python3-testscenarios (>= 0.4),
@@ -55,11 +60,13 @@
 
 Package: python-openstacksdk
 Architecture: all
-Depends: python-keystoneauth1 (>= 2.14.0),
-         python-os-client-config (>= 1.22.0),
-         python-pbr (>= 1.8),
+Depends: python-deprecation (>= 1.0),
+         python-jsonpatch (>= 1.1),
+         python-keystoneauth1 (>= 2.21.0),
+         python-os-client-config (>= 1.27.0),
+         python-pbr (>= 2.0.0),
          python-six (>= 1.9.0),
-         python-stevedore (>= 1.17.1),
+         python-stevedore (>= 1.20.0),
          ${misc:Depends},
          ${python:Depends}
 Suggests: python-openstacksdk-doc
@@ -77,11 +84,13 @@
 
 Package: python3-openstacksdk
 Architecture: all
-Depends: python3-keystoneauth1 (>= 2.14.0),
-         python3-os-client-config (>= 1.22.0),
-         python3-pbr (>= 1.8),
+Depends: python3-deprecation (>= 1.0),
+         python3-jsonpatch (>= 1.1),
+         python3-keystoneauth1 (>= 2.21.0),
+         python3-os-client-config (>= 1.27.0),
+         python3-pbr (>= 2.0.0),
          python3-six (>= 1.9.0),
-         python3-stevedore (>= 1.17.1),
+         python3-stevedore (>= 1.20.0),
          ${misc:Depends},
          ${python3:Depends}
 Suggests: python-openstacksdk-doc

## python-openstacksdk 0.11.3+repack

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
PyYAML>=3.10 # MIT
appdirs>=1.3.0 # MIT License
requestsexceptions>=1.2.0 # Apache-2.0
jsonpatch!=1.20,>=1.16 # BSD
six>=1.10.0 # MIT
os-service-types>=1.1.0 # Apache-2.0
keystoneauth1>=3.3.0 # Apache-2.0
deprecation>=1.0 # Apache-2.0

munch>=2.1.0 # MIT
decorator>=3.4.0 # BSD
jmespath>=0.9.0 # MIT
ipaddress>=1.0.16;python_version<'3.3' # PSF
futures>=3.0.0;python_version=='2.7' or python_version=='2.6' # BSD
iso8601>=0.1.11 # MIT
netifaces>=0.10.4 # MIT

dogpile.cache>=0.6.2 # BSD

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,>=1.6.2 # BSD
docutils>=0.11 # OSI-Approved Open Source, Public Domain
openstackdocstheme>=1.18.1 # Apache-2.0
beautifulsoup4>=4.6.0 # MIT
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-openstacksdk (0.11.3+repack-0ubuntu1~cloud0) xenial-queens; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 15 Feb 2018 11:33:32 +0000

python-openstacksdk (0.11.3+repack-0ubuntu1) bionic; urgency=medium

  * d/watch: Use pypi.debian.net, as github tag tarballs are not release
    artefacts.
  * Use release tarball (+repack) from  pypi.debian.net.

 -- James Page <james.page@ubuntu.com>  Thu, 15 Feb 2018 09:51:56 +0000

python-openstacksdk (0.11.3-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/remove-intersphinx.patch: Dropped. No longer needed.
  * d/rules: Run tests with stestr.
  * d/p/py2-enable-docs.patch: Enable docs to be built with py2.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Feb 2018 13:39:57 -0500

python-openstacksdk (0.9.19-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/remove-openstackdocstheme.patch, d/p/remove-enforcer.patch: Dropped.
    No longer needed.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Dec 2017 08:38:33 -0500

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 
 include /usr/share/openstack-pkg-tools/pkgos.make
+
+# NOTE(jamespage): This can be dropped on the next new release upload
+export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog -SVersion | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' -e 's/+dfsg1//' -e 's/+repack//' | head -n 1)
+
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
@@ -9,7 +13,7 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test
+	PYTHONPATH=$(CURDIR) stestr --test-path ./openstack/tests/unit/ run
 endif
 
 override_dh_clean:

## python-openstacksdk 0.17.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
PyYAML>=3.12 # MIT
appdirs>=1.3.0 # MIT License
requestsexceptions>=1.2.0 # Apache-2.0
jsonpatch!=1.20,>=1.16 # BSD
six>=1.10.0 # MIT
os-service-types>=1.2.0 # Apache-2.0
keystoneauth1>=3.8.0 # Apache-2.0
deprecation>=1.0 # Apache-2.0

munch>=2.1.0 # MIT
decorator>=3.4.0 # BSD
jmespath>=0.9.0 # MIT
ipaddress>=1.0.17;python_version<'3.3' # PSF
futures>=3.0.0;python_version=='2.7' or python_version=='2.6' # BSD
iso8601>=0.1.11 # MIT
netifaces>=0.10.4 # MIT

dogpile.cache>=0.6.2 # BSD
cryptography>=2.1 # BSD/Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
docutils>=0.11 # OSI-Approved Open Source, Public Domain
openstackdocstheme>=1.18.1 # Apache-2.0
beautifulsoup4>=4.6.0 # MIT
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-openstacksdk (0.17.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 22:29:53 +0200

python-openstacksdk (0.17.2-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Disable unit testing, taking a way too much resources.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Aug 2018 20:56:15 +0200

python-openstacksdk (0.11.3-3) unstable; urgency=medium

  * Fixed Python 3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Mar 2018 18:46:30 +0000

python-openstacksdk (0.11.3-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 22:56:32 +0000

python-openstacksdk (0.11.3-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed intersphinx patch.
  * Switch doc to use Python 3: Py2 doesn't have itertools.filterfalse() that
    the doc is using.
  * Add install-missing-files.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Feb 2018 07:26:41 +0000

python-openstacksdk (0.9.17-2) unstable; urgency=medium

  * Set minimum version of openstackdocstheme (Closes: #880178).
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Oct 2017 22:44:59 +0000

python-openstacksdk (0.9.17-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT with default value
  * d/copyright: Changed source URL to new one

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{test,install}.
  * Rebase remove-intersphinx.patch.
  * Remove remove-openstackdocstheme.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Oct 2017 15:10:42 +0200

=== debian/control ===
Source: python-openstacksdk
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 64~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2) <!nodoc>,
Build-Depends-Indep:
 git,
 python-appdirs,
 python-concurrent.futures,
 python-coverage,
 python-cryptography (>= 2.1),
 python-decorator,
 python-deprecation,
 python-dogpile.cache,
 python-extras,
 python-fixtures,
 python-ipaddress,
 python-iso8601,
 python-jmespath,
 python-jsonpatch,
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.8.0),
 python-mock,
 python-munch (>= 2.1.0),
 python-netifaces,
 python-os-service-types (>= 1.2.0),
 python-oslotest (>= 3.2.0),
 python-requests-mock (>= 1.2.0),
 python-requestsexceptions,
 python-six,
 python-stestr,
 python-testscenarios,
 python-testtools (>= 2.2.0),
 python3-appdirs,
 python3-bs4 (>= 4.6.0) <!nodoc>,
 python3-cryptography (>= 2.1),
 python3-decorator,
 python3-deprecation,
 python3-docutils <!nodoc>,
 python3-dogpile.cache,
 python3-extras,
 python3-fixtures,
 python3-iso8601,
 python3-jmespath,
 python3-jsonpatch,
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.8.0),
 python3-mock,
 python3-munch (>= 2.1.0),
 python3-netifaces,
 python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
 python3-os-service-types (>= 1.2.0),
 python3-oslotest (>= 3.2.0),
 python3-requests-mock (>= 1.2.0),
 python3-requestsexceptions,
 python3-six,
 python3-stestr,
 python3-subunit,
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-openstacksdk
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-openstacksdk.git
Homepage: https://github.com/stackforge/python-openstacksdk

Package: python-openstacksdk
Architecture: all
Depends:
 python-appdirs,
 python-concurrent.futures,
 python-cryptography (>= 2.1),
 python-decorator,
 python-deprecation,
 python-dogpile.cache,
 python-ipaddress,
 python-iso8601,
 python-jmespath,
 python-jsonpatch,
 python-keystoneauth1 (>= 3.8.0),
 python-munch (>= 2.1.0),
 python-netifaces,
 python-os-service-types (>= 1.2.0),
 python-pbr (>= 2.0.0),
 python-requestsexceptions,
 python-six,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-openstacksdk-doc,
Description: SDK for building applications to work with OpenStack - Python 2.x
 The python-openstacksdk is a collection of libraries for building applications
 to work with OpenStack clouds. The project aims to provide a consistent and
 complete set of interactions with OpenStack's many services, along with
 complete documentation, examples, and tools.
 .
 This SDK is under active development, and in the interests of providing a
 high-quality interface, the APIs provided in this release may differ from
 those provided in future release.
 .
 This package contains the Python 2.x module.

Package: python-openstacksdk-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: SDK for building applications to work with OpenStack - doc
 The python-openstacksdk is a collection of libraries for building applications
 to work with OpenStack clouds. The project aims to provide a consistent and
 complete set of interactions with OpenStack's many services, along with
 complete documentation, examples, and tools.
 .
 This SDK is under active development, and in the interests of providing a
 high-quality interface, the APIs provided in this release may differ from
 those provided in future release.
 .
 This package contains the documentation.

Package: python3-openstacksdk
Architecture: all
Depends:
 python3-appdirs,
 python3-cryptography (>= 2.1),
 python3-decorator,
 python3-deprecation,
 python3-dogpile.cache,
 python3-iso8601,
 python3-jmespath,
 python3-jsonpatch,
 python3-keystoneauth1 (>= 3.8.0),
 python3-munch (>= 2.1.0),
 python3-netifaces,
 python3-os-service-types (>= 1.2.0),
 python3-pbr (>= 2.0.0),
 python3-requestsexceptions,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-openstacksdk-doc,
Description: SDK for building applications to work with OpenStack - Python 3.x
 The python-openstacksdk is a collection of libraries for building applications
 to work with OpenStack clouds. The project aims to provide a consistent and
 complete set of interactions with OpenStack's many services, along with
 complete documentation, examples, and tools.
 .
 This SDK is under active development, and in the interests of providing a
 high-quality interface, the APIs provided in this release may differ from
 those provided in future release.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,6 @@
 #!/usr/bin/make -f
 
 include /usr/share/openstack-pkg-tools/pkgos.make
-
-# NOTE(jamespage): This can be dropped on the next new release upload
-export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog -SVersion | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' -e 's/+dfsg1//' -e 's/+repack//' | head -n 1)
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
@@ -13,7 +10,8 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=$(CURDIR) stestr --test-path ./openstack/tests/unit/ run
+	echo "Unit testing is taking forever and produces a 100MB+ log, so it's disabled..."
+	#pkgos-dh_auto_test 'openstack.tests.unit(?!(.*cloud.*|.*test_resource\.TestWaitForStatus.*))'
 endif
 
 override_dh_clean:
@@ -21,8 +19,13 @@
 	rm -rf build
 
 override_dh_sphinxdoc:
-	sphinx-build -b html doc/source debian/python-openstacksdk-doc/usr/share/doc/python-openstacksdk-doc/html
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+	python3 -m sphinx -b html doc/source debian/python-openstacksdk-doc/usr/share/doc/python-openstacksdk-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
+endif
+
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
 
 # Commands not to run
 override_dh_installcatalogs:

## python-openstacksdk 0.26.0

=== requirements.txt ===
--- 
+++ 
@@ -8,8 +8,7 @@
 jsonpatch!=1.20,>=1.16 # BSD
 six>=1.10.0 # MIT
 os-service-types>=1.2.0 # Apache-2.0
-keystoneauth1>=3.8.0 # Apache-2.0
-deprecation>=1.0 # Apache-2.0
+keystoneauth1>=3.11.0 # Apache-2.0
 
 munch>=2.1.0 # MIT
 decorator>=3.4.0 # BSD

=== debian/changelog ===
python-openstacksdk (0.26.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Mar 2019 15:02:22 +0000

python-openstacksdk (0.23.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-tests-py27.patch: Added to skip failing py27 tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Jan 2019 12:42:34 -0500

python-openstacksdk (0.17.2-0ubuntu1) cosmic; urgency=medium

  * New upstream point release for OpenStack Rocky.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Aug 2018 08:24:46 +0100

python-openstacksdk (0.17.1-0ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/watch: Get tarball from pypi.debian.net.
    - d/p/install-missing-files.patch: Dropped. Not needed with pristine-tar.
    - d/gbp.conf: Retained for pristine-tar.
  * d/control: Update Standards-Version to 4.1.4.
  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Ensure OS_LOG_CAPTURE=true is set when running tests as it
    prevents timeouts.
  * d/p/skip-tests.patch: Skip failing Py3.7 tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 Jul 2018 09:47:42 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-openstacksdk
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -17,85 +18,93 @@
  python3-sphinx (>= 1.6.2) <!nodoc>,
 Build-Depends-Indep:
  git,
- python-appdirs,
- python-concurrent.futures,
- python-coverage,
+ python-appdirs (>= 1.3.0),
+ python-concurrent.futures (>= 3.0.0),
+ python-coverage (>= 4.0),
  python-cryptography (>= 2.1),
- python-decorator,
- python-deprecation,
- python-dogpile.cache,
- python-extras,
- python-fixtures,
- python-ipaddress,
- python-iso8601,
- python-jmespath,
- python-jsonpatch,
+ python-decorator (>= 3.4.0),
+ python-deprecation (>= 1.0),
+ python-dogpile.cache (>= 0.6.2),
+ python-extras (>= 1.0.0),
+ python-fixtures (>= 3.0.0),
+ python-ipaddress (>= 1.0.17),
+ python-iso8601 (>= 0.1.11),
+ python-jmespath (>= 0.9.0),
+ python-jsonpatch (>= 1.16),
  python-jsonschema (>= 2.6.0),
- python-keystoneauth1 (>= 3.8.0),
- python-mock,
+ python-keystoneauth1 (>= 3.11.0),
+ python-mock (>= 2.0.0),
  python-munch (>= 2.1.0),
- python-netifaces,
+ python-netifaces (>= 0.10.4),
  python-os-service-types (>= 1.2.0),
- python-oslotest (>= 3.2.0),
+ python-oslotest (>= 1:3.2.0),
  python-requests-mock (>= 1.2.0),
- python-requestsexceptions,
- python-six,
- python-stestr,
- python-testscenarios,
+ python-requestsexceptions (>= 1.2.0),
+ python-six (>= 1.10.0),
+ python-stestr (>= 1.0.0),
+ python-subunit (>= 1.0.0),
+ python-testrepository (>= 0.0.18),
+ python-testscenarios (>= 0.4),
  python-testtools (>= 2.2.0),
- python3-appdirs,
+ python-yaml (>= 3.12),
+ python3-appdirs (>= 1.3.0),
  python3-bs4 (>= 4.6.0) <!nodoc>,
+ python3-coverage (>= 4.0),
  python3-cryptography (>= 2.1),
- python3-decorator,
- python3-deprecation,
+ python3-decorator (>= 3.4.0),
+ python3-deprecation (>= 1.0),
  python3-docutils <!nodoc>,
- python3-dogpile.cache,
- python3-extras,
- python3-fixtures,
- python3-iso8601,
- python3-jmespath,
- python3-jsonpatch,
+ python3-dogpile.cache (>= 0.6.2),
+ python3-extras (>= 1.0.0),
+ python3-fixtures (>= 3.0.0),
+ python3-iso8601 (>= 0.1.11),
+ python3-jmespath (>= 0.9.0),
+ python3-jsonpatch (>= 1.16),
  python3-jsonschema (>= 2.6.0),
- python3-keystoneauth1 (>= 3.8.0),
- python3-mock,
+ python3-keystoneauth1 (>= 3.11.0),
+ python3-mock (>= 2.0.0),
  python3-munch (>= 2.1.0),
- python3-netifaces,
- python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
+ python3-netifaces (>= 0.10.4),
+ python3-openstackdocstheme (>= 1.18.1),
  python3-os-service-types (>= 1.2.0),
- python3-oslotest (>= 3.2.0),
+ python3-oslotest (>= 1:3.2.0),
+ python3-reno (>= 2.5.0),
  python3-requests-mock (>= 1.2.0),
- python3-requestsexceptions,
- python3-six,
- python3-stestr,
- python3-subunit,
- python3-testscenarios,
+ python3-requestsexceptions (>= 1.2.0),
+ python3-six (>= 1.10.0),
+ python3-stestr (>= 1.0.0),
+ python3-subunit (>= 1.0.0),
+ python3-testrepository (>= 0.0.18),
+ python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
+ python3-yaml (>= 3.12),
  subunit,
-Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-openstacksdk
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-openstacksdk.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-openstacksdk
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-openstacksdk
 Homepage: https://github.com/stackforge/python-openstacksdk
 
 Package: python-openstacksdk
 Architecture: all
 Depends:
- python-appdirs,
- python-concurrent.futures,
+ python-appdirs (>= 1.3.0),
+ python-concurrent.futures (>= 3.0.0),
  python-cryptography (>= 2.1),
- python-decorator,
- python-deprecation,
- python-dogpile.cache,
- python-ipaddress,
- python-iso8601,
- python-jmespath,
- python-jsonpatch,
- python-keystoneauth1 (>= 3.8.0),
+ python-decorator (>= 3.4.0),
+ python-deprecation (>= 1.0),
+ python-dogpile.cache (>= 0.6.2),
+ python-ipaddress (>= 1.0.17),
+ python-iso8601 (>= 0.1.11),
+ python-jmespath (>= 0.9.0),
+ python-jsonpatch (>= 1.16),
+ python-keystoneauth1 (>= 3.11.0),
  python-munch (>= 2.1.0),
- python-netifaces,
+ python-netifaces (>= 0.10.4),
  python-os-service-types (>= 1.2.0),
  python-pbr (>= 2.0.0),
- python-requestsexceptions,
- python-six,
+ python-requestsexceptions (>= 1.2.0),
+ python-six (>= 1.10.0),
+ python-yaml (>= 3.12),
  ${misc:Depends},
  ${python:Depends},
 Suggests:
@@ -134,21 +143,22 @@
 Package: python3-openstacksdk
 Architecture: all
 Depends:
- python3-appdirs,
+ python3-appdirs (>= 1.3.0),
  python3-cryptography (>= 2.1),
- python3-decorator,
- python3-deprecation,
- python3-dogpile.cache,
- python3-iso8601,
- python3-jmespath,
- python3-jsonpatch,
- python3-keystoneauth1 (>= 3.8.0),
+ python3-decorator (>= 3.4.0),
+ python3-deprecation (>= 1.0),
+ python3-dogpile.cache (>= 0.6.2),
+ python3-iso8601 (>= 0.1.11),
+ python3-jmespath (>= 0.9.0),
+ python3-jsonpatch (>= 1.16),
+ python3-keystoneauth1 (>= 3.11.0),
  python3-munch (>= 2.1.0),
- python3-netifaces,
+ python3-netifaces (>= 0.10.4),
  python3-os-service-types (>= 1.2.0),
  python3-pbr (>= 2.0.0),
- python3-requestsexceptions,
- python3-six,
+ python3-requestsexceptions (>= 1.2.0),
+ python3-six (>= 1.10.0),
+ python3-yaml (>= 3.12),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
